Loading...
Searching...
No Matches
Dune::Cloneable Struct Referenceabstract

An interface class for cloneable objects. More...

`#include <dune/common/interfaces.hh>`

## Public Member Functions

virtual Cloneable * | clone () const =0
| Clones the object clone needs to be redefined by an implementation class, with the return type covariantly adapted. Remember to delete the resulting pointer.
virtual | ~Cloneable ()=default
| Destructor.

## Detailed Description

An interface class for cloneable objects.

## Constructor & Destructor Documentation

## ~Cloneable()

virtual Dune::Cloneable::~Cloneable | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## clone()

virtual Cloneable * Dune::Cloneable::clone | ( |  | ) | const

pure virtual

Clones the object clone needs to be redefined by an implementation class, with the return type covariantly adapted. Remember to delete the resulting pointer.

The documentation for this struct was generated from the following file:

- interfaces.hh